org.jbpm.process.core.correlation

## Class CorrelationManager

- java.lang.Object
- - org.jbpm.process.core.correlation.CorrelationManager

- All Implemented Interfaces:
    Serializable

      public class CorrelationManager
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMessagePropertyExpression(String correlationRef, String messageRef, String propertyName, CorrelationExpressionEvaluator expression)`
    `void` | `addProcessSubscriptionPropertyExpression(String correlationRef, String propertyName, CorrelationExpressionEvaluator expression)`
    `CorrelationInstance` | `computeCorrelationInstance(String messageRef, Object event)`
    `CorrelationInstance` | `computeSubscription(String messageRef, Function<String,Object> resolver)`
    `boolean` | `isSubscribe(String messageRef)`
    `void` | `newCorrelation(String correlationRef, String correlationName)`
    `void` | `newMessage(String id, String name, String type)`
    `void` | `setClassLoader(ClassLoader classLoader)`
    `void` | `subscribeTo(String correlationRef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationManager

          public CorrelationManager()

  - ### Method Detail

    - #### setClassLoader

          public void setClassLoader(ClassLoader classLoader)

    - #### newCorrelation

          public void newCorrelation(String correlationRef,
                                     String correlationName)

    - #### newMessage

          public void newMessage(String id,
                                 String name,
                                 String type)

    - #### isSubscribe

          public boolean isSubscribe(String messageRef)

    - #### subscribeTo

          public void subscribeTo(String correlationRef)

    - #### computeCorrelationInstance

          public CorrelationInstance computeCorrelationInstance(String messageRef,
                                                                Object event)

    - #### computeSubscription

          public CorrelationInstance computeSubscription(String messageRef,
                                                         Function<String,Object> resolver)

    - #### addMessagePropertyExpression

          public void addMessagePropertyExpression(String correlationRef,
                                                   String messageRef,
                                                   String propertyName,
                                                   CorrelationExpressionEvaluator expression)

    - #### addProcessSubscriptionPropertyExpression

          public void addProcessSubscriptionPropertyExpression(String correlationRef,
                                                               String propertyName,
                                                               CorrelationExpressionEvaluator expression)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.